#define errOk                   0
#define errPortInit             1
#define errInterface            2
#define errKKMVers              3
#define errFeedCount            4
#define errPaperAbsent          5
#define errRegKass              6
#define errComma                7
#define errNeedKL               8
#define errKLEmpty              9
#define errSaleNum              10
#define errSaleNumInBuf         11
#define errSectionNum           12
#define errSaleCashValue        13
#define errPriceValue           14
#define errQtyValue             15
#define errLinesInSale          16
#define errBufOverload          17
#define errBufNotEmpty          18
#define errDiscount             19
#define errNoCash               20
#define errNoSaleCash           21
#define errNullSale             22
#define errTitleLinesCount      23
#define errBottomLinesCount     24
#define errTitleLineNum         25
#define errBottomLineNum        26
#define errDateTime             27
#define errRepeatCheck          28
#define errBarCodeFormat        29
#define errBarCodeCapacity      30
#define errPower                31
#define errDevice               32

#define errTimeLess             50
#define errBroughtSumValue      51
#define errRepeatBringSum       52
#define errKLNotEmpty           53
#define errRemovedSumValue      54
#define errRemovedQty           55

extern int  cbAddBottomLine(char *Line);
extern int  cbAddSale(char *Name, double Price, double Qty, int Section);
extern int  cbAddTitleLine(char *Line);
extern int  cbGetBottomLinesCount(void);
extern void cbClearBottom(void);
extern void cbSetCreditMode(int Mode);
extern int  cbGetCreditMode(void);
extern void cbClearSales(void);
extern void cbClearTitle(void);
extern int  cbDeleteSale(int Index);
extern int  cbGetBottomLine(int Index, char *Line);
extern int  cbGetDiscountValue(void); 
extern int  cbGetSale(int Index, char *Name, double *Price, double *Qty, int *Section);
extern int  cbGetTitleLine(int Index, char *Line);
extern int  cbGetSalesCount(void);
extern void cbSetReturnMode(int Mode);
extern int  cbGetReturnMode(void);
extern int  cbSetCash(double Value);
extern double cbGetCash(void);
extern int  cbSetDiscountValue(int Value);
extern int  cbSetLinesInSale(int Value);
extern int  cbGetLinesInSale(void);
extern double cbGetSum(void);
extern int  cbGetTitleLinesCount(void); 
extern void cbSetClearBufMode(int Mode);
extern int  cbGetClearBufMode(void);
extern int  RepeatCheck(void);
extern int  ClearIndicator(void);
extern int  ConnectKKM(int Port);
extern void DisconnectKKM(void); 
extern int  GetDiscountMode(void); 
extern int  GetErrorCode(void); 
extern char *GetErrorMsg(void);
extern int  Feed(int LineCount);
extern int  GetBroughtSum(double *Sum);
extern int  GetCashSum(double *Sum);
extern int  GetKKMNum(int *KKMNum);
extern int  GetKLNum(int *KLNum);
extern int  GetNI(double *NI);
extern int  GetRemovedQty(int *Qty);
extern int  GetRemovedSum(double *Sum);
extern int  GetReturnedSum (double *Sum);
extern int  GetReturnedSumOnSection (int Section, double *Sum);
extern int  GetSaleCountOnSection(int Section, int *SaleCount);
extern int  GetSaleNum(int *SaleNum);
extern int  GetSalesSumOnSection (int Section, double *Sum);
extern int  GetSalesSumWithNDEC (double *Sum);
extern int  GetSalesSumWithoutNDEC (double *Sum);
extern int  GetKKMVers(void);
extern int  Lock(void);
extern int  PrintBarCode(char *Code, int DigitFlag);
extern int  ReadSaleFromKL(int SaleNum, int *Section, int *Credit, int *Discount, double *Sum);
extern void SetSupplierCode(char *Code); 
extern int  UnLock(void); 
extern PrintCheck(void);
