{      Kylix}
unit chon100h;

interface

const
    errOK                 = 0;
    errPortInit           = 1;
    errInterface          = 2;
    errKKMVers            = 3;
    errFeedCount          = 4;
    errPaperAbsent        = 5;
    errRegKass            = 6;
    errComma              = 7;
    errNeedKL             = 8;
    errKLEmpty            = 9;
    errSaleNum            = 10;
    errSaleNumInBuf       = 11;
    errSectionNum         = 12;
    errSaleCashValue      = 13;
    errPriceValue         = 14;
    errQtyValue           = 15;
    errLinesInSale        = 16;
    errBufOverload        = 17;
    errBufNotEmpty        = 18;
    errDiscount           = 19;
    errNoCash             = 20;
    errNoSaleCash         = 21;
    errNullSale           = 22;
    errTitleLinesCount    = 23;
    errBottomLinesCount   = 24;
    errTitleLineNum       = 25;
    errBottomLineNum      = 26;
    errDateTime           = 27;
    errRepeatCheck        = 28;
    errBarCodeFormat      = 29;
    errBarCodeCapacity    = 30;
    errPower              = 31;
    errDevice             = 32;

    errTimeLess           = 50;
    errBroughtSumValue    = 51;
    errRepeatBringSum     = 52;
    errKLNotEmpty         = 53;
    errRemovedSumValue    = 54;
    errRemovedQty         = 55;

  function cbAddBottomLine(Line: PChar): Integer; cdecl;
  function cbAddSale(Name: PChar; Price, Qty: Double; Section: Integer): Integer; cdecl;
  function cbAddTitleLine(Line: PChar): Integer; cdecl;
  function cbGetBottomLinesCount: Integer; cdecl;
  procedure cbClearBottom; cdecl;
  procedure cbSetCreditMode(Mode: Integer); cdecl;
  function cbGetCreditMode: Integer; cdecl;
  procedure cbClearSales; cdecl;
  procedure cbClearTitle; cdecl;
  function cbDeleteSale(Index: Integer): Integer; cdecl;
  function cbGetBottomLine(Index: Integer; Line: PChar): Integer; cdecl;
  function cbGetDiscountValue: Integer; cdecl;
  function cbGetSale(Index: Integer; Name: PChar; var Price, Qty: Double; var Section: Integer): Integer; cdecl;
  function cbGetTitleLine(Index: Integer; Line: PChar): Integer; cdecl;
  function cbGetSalesCount: Integer; cdecl;
  procedure cbSetReturnMode(Mode: Integer); cdecl;
  function cbGetReturnMode: Integer; cdecl;
  function cbSetCash(Value: Double): Integer; cdecl;
  function cbGetCash: Double; cdecl;
  function cbSetDiscountValue(Value: Integer): Integer; cdecl;
  function cbSetLinesInSale(Value: Integer): Integer; cdecl;
  function cbGetLinesInSale: Integer; cdecl;
  function cbGetSum: Double; cdecl;
  function cbGetTitleLinesCount: Integer; cdecl;
  procedure cbSetClearBufMode(Mode: Integer); cdecl;
  function cbGetClearBufMode: Integer; cdecl;
  function RepeatCheck: Integer; cdecl;
  function ClearIndicator: Integer; cdecl;
  function ConnectKKM(Port: Integer): Integer; cdecl;
  procedure DisconnectKKM; cdecl;
  function GetDiscountMode: Integer; cdecl;
  function GetErrorCode: Integer; cdecl;
  function GetErrorMsg: PChar; cdecl;
  function Feed(LineCount: Integer): Integer; cdecl;
  function GetBroughtSum(var Sum: Double): Integer; cdecl;
  function GetCashSum(var Sum: Double): Integer; cdecl;
  function GetKKMNum(var KKMNum: Integer): Integer; cdecl;
  function GetKLNum(var KLNum: Integer): Integer; cdecl;
  function GetNI(var NI: Double): Integer; cdecl;
  function GetRemovedQty(var Qty: Integer): Integer; cdecl;
  function GetRemovedSum(var Sum: Double): Integer; cdecl;
  function GetReturnedSum (var Sum: Double): Integer; cdecl;
  function GetReturnedSumOnSection (Section: Integer; var Sum: Double): Integer; cdecl;
  function GetSaleCountOnSection(Section: Integer; var SaleCount: Integer): Integer; cdecl;
  function GetSaleNum(var SaleNum: Integer): Integer; cdecl;
  function GetSalesSumOnSection (Section: Integer; var Sum: Double): Integer; cdecl;
  function GetSalesSumWithNDEC (var Sum: Double): Integer; cdecl;
  function GetSalesSumWithoutNDEC (var Sum: Double): Integer; cdecl;
  function GetKKMVers: Integer; cdecl;
  function Lock: Integer; cdecl;
  function PrintBarCode(Code: PChar; DigitFlag: Integer): Integer; cdecl;
  function ReadSaleFromKL(SaleNum: Integer; var Section, Credit, Discount: Integer; var Sum: Double): Integer; cdecl;
  procedure SetSupplierCode(Code: PChar); cdecl;
  function UnLock: Integer; cdecl;

  function PrintCheck: integer; cdecl;

implementation
  const
    DLLFileName = 'libchon100.so';

  function cbAddBottomLine; external DLLFileName;
  function cbAddSale;       external DLLFileName;
  function cbAddTitleLine; external DLLFileName;
  function cbGetBottomLinesCount; external DLLFileName;
  procedure cbClearBottom; external DLLFileName;
  procedure cbSetCreditMode; external DLLFileName;
  function cbGetCreditMode; external DLLFileName;
  procedure cbClearSales; external DLLFileName;
  procedure cbClearTitle; external DLLFileName;
  function cbDeleteSale; external DLLFileName;
  function cbGetBottomLine; external DLLFileName;
  function cbGetDiscountValue; external DLLFileName;
  function cbGetSale; external DLLFileName;
  function cbGetTitleLine; external DLLFileName;
  function cbGetSalesCount; external DLLFileName;
  procedure cbSetReturnMode; external DLLFileName;
  function cbGetReturnMode; external DLLFileName;
  function cbSetCash; external DLLFileName;
  function cbGetCash; external DLLFileName;
  function cbSetDiscountValue; external DLLFileName;
  function cbSetLinesInSale; external DLLFileName;
  function cbGetLinesInSale; external DLLFileName;
  function cbGetSum; external DLLFileName;
  function cbGetTitleLinesCount: Integer; cdecl; external DLLFileName;
  procedure cbSetClearBufMode; external DLLFileName;
  function cbGetClearBufMode; external DLLFileName;
  function RepeatCheck; external DLLFileName;
  function ClearIndicator; external DLLFileName;
  function ConnectKKM; external DLLFileName;
  procedure DisconnectKKM; external DLLFileName;
  function GetDiscountMode; external DLLFileName;
  function GetErrorCode; external DLLFileName;
  function GetErrorMsg; external DLLFileName;
  function Feed; external DLLFileName;
  function GetBroughtSum; external DLLFileName;
  function GetCashSum; external DLLFileName;
  function GetKKMNum; external DLLFileName;
  function GetKLNum; external DLLFileName;
  function GetNI; external DLLFileName;
  function GetRemovedQty; external DLLFileName;
  function GetRemovedSum; external DLLFileName;
  function GetReturnedSum; external DLLFileName;
  function GetReturnedSumOnSection; external DLLFileName;
  function GetSaleCountOnSection; external DLLFileName;
  function GetSaleNum; external DLLFileName;
  function GetSalesSumOnSection; external DLLFileName;
  function GetSalesSumWithNDEC; external DLLFileName;
  function GetSalesSumWithoutNDEC; external DLLFileName;
  function GetKKMVers: Integer;external DLLFileName;
  function Lock: Integer; external DLLFileName;
  function PrintBarCode; external DLLFileName;
  function ReadSaleFromKL; external DLLFileName;
  procedure SetSupplierCode; external DLLFileName;
  function UnLock: Integer; external DLLFileName;

  function PrintCheck; external DLLFileName;


end.
